- Qt 6.10
- Qt Location
- C++ Classes
- QPlaceSearchSuggestionReply
- Qt 6.10.2 Reference Documentation

# QPlaceSearchSuggestionReply Class

The QPlaceSearchSuggestionReply class manages a search suggestion operation started by an instance of QPlaceManager. More...

Header: | `#include <QPlaceSearchSuggestionReply>`
qmake: | `QT += location`
Inherits: | QPlaceReply

- List of all members, including inherited members

## Public Functions

| QPlaceSearchSuggestionReply(QObject *parent = nullptr)
virtual | ~QPlaceSearchSuggestionReply()
QStringList | suggestions() const

## Reimplemented Public Functions

virtual QPlaceReply::Type | type() const override

## Protected Functions

void | setSuggestions(const QStringList &suggestions)

## Detailed Description

On successful completion of the operation, the reply will contain a list of search term suggestions. See Search Suggestions for an example on how to use a search suggestion reply.

See also QPlaceManager.

## Member Function Documentation

### `[explicit]` QPlaceSearchSuggestionReply::QPlaceSearchSuggestionReply(QObject *parent = nullptr)

Constructs a search suggestion reply with a given parent.

### `[virtual noexcept]` QPlaceSearchSuggestionReply::~QPlaceSearchSuggestionReply()

Destroys the reply.

### `[protected]` void QPlaceSearchSuggestionReply::setSuggestions(const QStringList &suggestions)

Sets the search term suggestions.

See also suggestions().

### QStringList QPlaceSearchSuggestionReply::suggestions() const

Returns the search term suggestions.

See also setSuggestions().

### `[override virtual]` QPlaceReply::Type QPlaceSearchSuggestionReply::type() const

Reimplements: QPlaceReply::type() const.

Returns type of reply.